From: HUA <[email-masked]>
Date: Tue, 14 Dec 93 23:04:47 CST

Here are some questions posted on behalf of a person who can not access 
to the network. Any answer or advice is highly appreciated. You can reply 
to my account or post to the net.

The CSPA principle filed I-824 form for her out of status husband, and she
chosen the US consulate in China (on the approval notice for I-824, it was 
signed in GuangZhou by INS). Now she received a letter from the US consulate 
at Guangzhou asking for the following information:
Name, date/place of birth, sex and China address of the family member, 
relation to the principle, and priority date of the principle. 

Now the questions are should the China address or US address be provided? 
Should she tell the consulate that her husband is currently in the US? and  
does she need to file any other forms (say, I-130 or/and I-485) other than 
I-824?

She worried that if she provide the China address, obviously it will delay
the communication; if she give the US address, she is afraid that it will
be some trouble at the final interview.

Thank you in advance for your time and advice.

JH